Bug 22950 - Markup error in OPAC recent comment template
Summary: Markup error in OPAC recent comment template
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 15:06 UTC by Owen Leonard
Modified: 2019-06-11 15:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22950: Markup error in OPAC recent comment template (5.93 KB, patch)
2019-05-21 15:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22950: Markup error in OPAC recent comment template (5.99 KB, patch)
2019-05-24 17:52 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22950: Markup error in OPAC recent comment template (6.06 KB, patch)
2019-05-27 21:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 15:06:11 UTC
There some invalid inline CSS in opac-showreviews.tt which causes validation errors:

 - "CSS: font-color: Property font-color doesn't exist."
Comment 1 Owen Leonard 2019-05-21 15:27:17 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-05-24 17:52:31 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 21:07:03 UTC
Created attachment 90129 [details] [review]
Bug 22950: Markup error in OPAC recent comment template

This patch makes minor corrections to the template for the OPAC's
recent comments view. These corrections fix errors returned by the HTML
validator.

The patch moves some inline CSS into a class in the global OPAC CSS.
Some minor reindentation has also been done, so use diff with the '-w'
flag.

To reproduce the problem you should have the 'reviewson' system
preference turned on, and your system should have one or more
approved comments. View the "Recent comments" page in the OPAC. Run the
page through the W3C validation service: https://validator.w3.org.
Either by pasting in the URL for the search results (if web accessible)
or by viewing source, copying, and pasting into "Validate by Direct
Input."

This patch addresses one specific error:

 - "CSS: font-color: Property font-color doesn't exist."

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Try again to reproduce the validation errors. Those errors should no
longer be present. There should be no visible change to the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-06-03 17:52:00 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-06-10 14:02:11 UTC
Pushed to 19.05.x for 19.05.01
Comment 6 Lucas Gass 2019-06-11 15:42:44 UTC
backported to 18.11.x for 18.11.07